Package org.gradle.api.artifacts.component

# Interface ComponentIdentifier

All Known Subinterfaces:
  `LibraryBinaryIdentifier`, `ModuleComponentIdentifier`, `ProjectComponentIdentifier`

@Incubating public interface ComponentIdentifier
An opaque immutable identifier for a component instance. There are various sub-interfaces that expose specific details about the identifier.

Since:
  1.10

## Method Summary

Modifier and Type
Method
Description
`String`
`getDisplayName()`
Returns a human-consumable display name for this identifier.

## Method Details

### getDisplayName

String getDisplayName()
Returns a human-consumable display name for this identifier.

Returns:
  Component identifier display name
Since:
  1.10